cascading.tuple.hadoop.util

## Class HasherPartitioner

- java.lang.Object
- - cascading.tuple.util.TupleHasher
  - - cascading.tuple.hadoop.util.HasherPartitioner

- All Implemented Interfaces:
    Serializable, Configurable
  Direct Known Subclasses:
    CoGroupingPartitioner, GroupingPartitioner, GroupingSortingPartitioner

      public class HasherPartitioner
      extends TupleHasher
      implements Configurable

  Super class of all Hadoop partitioners.

  As of Cascading 2.7 the hashing used to calculate partitions has been changed to use Murmur3. Users that rely on the old behaviour should set `HASHER_PARTITIONER_USE_LEGACY_HASH` to `true`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.tuple.util.TupleHasher

      `TupleHasher.HashFunction`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `HASHER_PARTITIONER_USE_LEGACY_HASH`

    - ### Fields inherited from class cascading.tuple.util.TupleHasher

      `hashFunction`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HasherPartitioner()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `getConf()`
    `void` | `setConf(Configuration conf)`

    - ### Methods inherited from class cascading.tuple.util.TupleHasher

      `getHashFunction, hashCode, initialize, isNull, merge, wrapTuple`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HASHER_PARTITIONER_USE_LEGACY_HASH

          public static final String HASHER_PARTITIONER_USE_LEGACY_HASH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HasherPartitioner

          public HasherPartitioner()

  - ### Method Detail

    - #### setConf

          public void setConf(Configuration conf)

      Specified by:
        `setConf` in interface `Configurable`

    - #### getConf

          public Configuration getConf()

      Specified by:
        `getConf` in interface `Configurable`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.